vs.2.0

//*********************************************************
// www.Ultimategameprogramming.com
// Basic Vertex Shader used with the Luminance Filter Demo
// Created by the Programming Ace.
//
// Input Registers used:
//   v0 - The vertex position (original).
//   v1 - The vertex color (original).
//   v8 - The vertex texture coordinate (original).
//
// Output Registers used:
//   oPos - The vertex output position.
//   oD0  - The vertex output color.
//   oT0  - The vertex texture coordinate.
//
// Constant Registers used:
//   c[0], c[1], c[2], c[3] - Model view projection matrix.
//
// Temporary Registers used:
//   r0 - Temporary register.
//*********************************************************

dcl_position v0			// This is the vertex postion (x, y, z).
dcl_color    v1			// This is the vertex color.
dcl_texcoord v8			// This is the texture coordinate for this vertex.

m4x4 r0, v0, c0			// This will translate the vertex by setting its new position.
						      // r0 is a temp register we can use to store the value.

mov oPos, r0			   // Here we will move the position in r0 to our output (oPos).
mov oD0, v1				   // v1 holds the original vertex color.  We will keep this.
mov oT0, v8				   // Move the texture to the tex register for the pixel shader.